%bcond_without qt

#global _disable_ld_no_undefined 1

%global forgeurl https://github.com/mapnik/mapnik
#global commit 2e1b32512b1f8b52331994f2a809d8a383c0c984

%global rel 1

%define major 4.0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

%global variant_version 1.2.0
%global geometry_version 2.0.3
%global polylabel_version 1.1.0
%global protozero_version 1.7.0

Name:      mapnik
Version:   4.0.7
%forgemeta
Release:   %mkrel %{?commit:0%{?distprefix}.}%{rel}
Summary:   Free Toolkit for developing mapping applications
Group:     Geography
License:   LGPLv2+
URL:       https://mapnik.org
%if 0%{?commit:1}
Source0:   %{forgesource}
%else
Source0:   https://github.com/mapnik/mapnik/archive/v%{version}.tar.gz#/mapnik-v%{version}.tar.gz
%endif
Source1:   https://github.com/mapbox/variant/archive/v%{variant_version}.tar.gz#/variant-%{variant_version}.tar.gz
Source2:   https://github.com/mapbox/geometry.hpp/archive/v%{geometry_version}.tar.gz#/geometry.hpp-%{geometry_version}.tar.gz
Source3:   https://github.com/mapbox/polylabel/archive/v%{polylabel_version}.tar.gz#/polylabel-%{polylabel_version}.tar.gz
Source4:   https://github.com/mapbox/protozero/archive/v%{protozero_version}.tar.gz#/protozero-%{protozero_version}.tar.gz
Source11:  no_date_footer.html
Source12:  mapnik-data.license
Source13:  mapnik-viewer.desktop
###
# Allow the viewer to be built against uninstalled libraries
Patch3:    mapnik-rpath.patch
# Build against the system version of sparsehash
Patch4:    mapnik-system-sparsehash.patch
Patch10:   mapnik-boost-includes.patch
Patch11:   mapnik-missing-includes.patch
Patch50:   mapnik-viewer-build-option.patch
Patch51:   mapnik-boost-1.85.patch
ExcludeArch:   %{ix86}
BuildRequires: cmake
BuildRequires: postgresql-devel
BuildRequires: postgis
BuildRequires: proj
BuildRequires: proj-devel
BuildRequires: doxygen
BuildRequires: libltdl-devel
%if %{with qt}
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: desktop-file-utils
%endif
BuildRequires: boost-devel
BuildRequires: cairomm-devel
BuildRequires: libicu-devel
BuildRequires: pkgconfig(libtiff-4)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: pkgconfig(libpng)
BuildRequires: pkgconfig(libsparsehash)
BuildRequires: pkgconfig(libxml-2.0)
BuildRequires: gdal
BuildRequires: pkgconfig(gdal)
BuildRequires: pkgconfig(freetype2)
BuildRequires: pkgconfig(harfbuzz)
BuildRequires: pkgconfig(libwebp)
BuildRequires: pkgconfig(protobuf)
BuildRequires: pkgconfig(libwebp)
BuildRequires: pkgconfig(pixman-1)
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(zlib)
Requires:  fonts-ttf-dejavu
Requires: %{libname} = %{version}-%{release}

# Bundled version has many local patches and upstream is essentially dead
Provides: bundled(agg) = 2.4

# removed upstream for a while
Obsoletes: mapnik-python < 3.0.22-5

%description
Mapnik is a Free Toolkit for developing mapping applications.
It's written in C++. It can comfortably be used for both desktop
and web development, which was something I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library
and offers world class anti-aliasing rendering with subpixel
accuracy for geographic data. It is written from scratch in
modern C++ and doesn't suffer from design decisions made a decade
ago. When it comes to handling common software tasks such as memory
management, filesystem access, regular expressions, parsing and so
on, Mapnik doesn't re-invent the wheel, but utilises best of breed
industry standard libraries from boost.org

%package -n %{libname}
Summary: Mapnik is a Free toolkit for developing mapping applications
Group: System/Libraries
Obsoletes: %{_lib}mapnik2_3 < 3.0.17-2

%description -n %{libname}
Mapnik is a Free Toolkit for developing mapping applications.
It's written in C++. It can comfortably be used for both desktop
and web development, which was something I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library
and offers world class anti-aliasing rendering with subpixel
accuracy for geographic data. It is written from scratch in
modern C++ and doesn't suffer from design decisions made a decade
ago. When it comes to handling common software tasks such as memory
management, filesystem access, regular expressions, parsing and so
on, Mapnik doesn't re-invent the wheel, but utilises best of breed
industry standard libraries from boost.org


%package -n %{develname}
Summary: Mapnik is a Free toolkit for developing mapping applications
Group: Development/C++
Requires: %{name} = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{name}-devel < 3.0.22-5

%description -n %{develname}
Mapnik is a Free Toolkit for developing mapping applications.
It's written in C++. It can comfortably be used for both desktop
and web development, which was something I wanted from the beginning.

Mapnik is about making beautiful maps. It uses the AGG library
and offers world class anti-aliasing rendering with subpixel
accuracy for geographic data. It is written from scratch in
modern C++ and doesn't suffer from design decisions made a decade
ago. When it comes to handling common software tasks such as memory
management, filesystem access, regular expressions, parsing and so
on, Mapnik doesn't re-invent the wheel, but utilises best of breed
industry standard libraries from boost.org

%package utils
License:  GPLv2+
Summary:  Utilities distributed with the Mapnik spatial visualization library
Group:    Geography
Requires: %{name} = %{version}-%{release}

%description utils
Miscellaneous utilities distributed with the Mapnik spatial visualization
library.

%prep
%setup -q -b1 -b2 -b3 -b4 %{?forgesetupargs}%{!?forgesetupargs:-n %{name}-%{version}}
%autopatch -p1

# submodules are missing from source tarball
rm -rf deps/mapbox/variant
ln -sf %{_builddir}/variant-%{variant_version} deps/mapbox/variant
rm -rf deps/mapbox/geometry
ln -sf %{_builddir}/geometry.hpp-%{geometry_version} deps/mapbox/geometry
rm -rf deps/mapbox/polylabel
ln -sf %{_builddir}/polylabel-%{polylabel_version} deps/mapbox/polylabel
rm -rf deps/mapbox/protozero
ln -sf %{_builddir}/protozero-%{protozero_version} deps/mapbox/protozero

# Update default
sed -i -e "/LIBDIR_SCHEMA_DEFAULT/s/'lib'/'%{_lib}'/" SConstruct

%build
%cmake -DFONTS_INSTALL_DIR=share/fonts \
       -DUSE_BOOST_FILESYSTEM=ON \
       -DBUILD_DEMO_VIEWER=%{?with_qt:ON}%{!?with_qt:OFF} \
       -DBUILD_DEMO_CPP=OFF \
       -DBUILD_BENCHMARK=OFF \
       -DBUILD_TESTING=OFF
%cmake_build

%install
%cmake_install

# get rid of fonts use external instead
rm -rf %{buildroot}%{_datadir}/fonts

rm -rf %{buildroot}%{_bindir}/viewer.ini
rm -rf %{buildroot}%{_includedir}/{mapbox,protozero}

# install more utils
%if %{with qt}
install -p -m 644 %{SOURCE12} demo/data/
# install desktop file
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE13}
%endif

# install pkgconfig file
cat > %{name}.pc <<EOF
prefix=%{_prefix}
exec_prefix=%{_prefix}
includedir=%{_includedir}

Name: %{name}
Description: Free Toolkit for developing mapping applications
Version: %{version}
Libs: -lmapnik
Cflags: -I${includedir}/%{name}
EOF

mkdir -p %{buildroot}%{_datadir}/pkgconfig/
install -p -m 644 %{name}.pc %{buildroot}%{_datadir}/pkgconfig

%check
# export test enviroment
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH%{buildroot}%{_libdir}

pushd test/
./run ||:
popd

%files
%doc AUTHORS.md CHANGELOG.md
%license COPYING
%{_libdir}/%{name}/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{version}

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/libmapnikjson.a
%{_libdir}/libmapnikwkt.a
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/lib%{name}*.pc
%{_datadir}/pkgconfig/%{name}.pc

%files utils
%{_bindir}/geometry_to_wkb
%{_bindir}/pgsql2sqlite
%{_bindir}/shapeindex
%{_bindir}/svg2png
%{_bindir}/mapnik-render
%{_bindir}/mapnik-index
%if %{with qt}
%{_bindir}/mapnik-viewer
%{_datadir}/applications/mapnik-viewer.desktop
%endif


%changelog
* Tue May 06 2025 daviddavid <daviddavid> 4.0.7-1.mga10
+ Revision: 2181317
- new version: 4.0.7

* Sun Mar 16 2025 wally <wally> 4.0.5-4.mga10
+ Revision: 2164946
- rebuild for libxml2 2.13.6

* Thu Mar 13 2025 daviddavid <daviddavid> 4.0.5-3.mga10
+ Revision: 2163174
- rebuild for new protobuf 30.0

* Sun Feb 09 2025 wally <wally> 4.0.5-2.mga10
+ Revision: 2146251
- rebuild for boost 1.87.0

* Thu Feb 06 2025 daviddavid <daviddavid> 4.0.5-1.mga10
+ Revision: 2145707
- new version: 4.0.5
- enable viewer support now ported to Qt5/Qt6

* Wed Feb 05 2025 daviddavid <daviddavid> 4.0.0-4.mga10
+ Revision: 2145303
- rebuild for new gdal 3.10.1

* Sun Jan 12 2025 wally <wally> 4.0.0-3.mga10
+ Revision: 2138387
- rebuild for icu 76.1

* Fri Sep 13 2024 wally <wally> 4.0.0-2.mga10
+ Revision: 2095496
- rebuild for boost 1.86.0

* Fri Jun 28 2024 wally <wally> 4.0.0-1.mga10
+ Revision: 2077837
- new version 4.0.0
- rebuild for boost 1.85.0
+ papoteur <papoteur>
- rebuild for GDAL

* Sun Jan 14 2024 wally <wally> 4.0.0-0.20240114git2e1b325.1.mga10
+ Revision: 2031138
- update to latest git snapshot
- new lib major 4.0
- fix build with libxml2 >= 2.12.0
- rebuild for boost 1.84.0
+ daviddavid <daviddavid>
- rebuild for new gdal

* Thu Nov 02 2023 daviddavid <daviddavid> 3.1.0-11.mga10
+ Revision: 2003470
- rebuild for new gdal 3.7.2

* Thu Oct 12 2023 wally <wally> 3.1.0-10.mga10
+ Revision: 1994913
- rebuild for boost 1.83.0

* Sat Jan 07 2023 squidf <squidf> 3.1.0-9.mga9
+ Revision: 1931145
- Mass rebuild for icu 72.1
+ wally <wally>
- add patch to fix deprecated boost headers

* Sun Dec 25 2022 wally <wally> 3.1.0-8.mga9
+ Revision: 1926830
- rebuild for boost 1.81.0

* Mon Dec 12 2022 ns80 <ns80> 3.1.0-7.mga9
+ Revision: 1921071
- rebuild for new libtiff

* Tue Dec 06 2022 eatdirt <eatdirt> 3.1.0-6.mga9
+ Revision: 1918750
- Rebuild for new gdal

* Sun Jul 03 2022 wally <wally> 3.1.0-5.mga9
+ Revision: 1867286
- rebuild for boost 1.79.0

* Sat Jun 18 2022 squidf <squidf> 3.1.0-4.mga9
+ Revision: 1864875
- rebuild for icu 71.1

* Sun May 08 2022 eatdirt <eatdirt> 3.1.0-3.mga9
+ Revision: 1856725
- Rebuild for new proj
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Jan 30 2022 mrambo3501 <mrambo3501> 3.1.0-1.mga9
+ Revision: 1770510
- mapnik version 3.1.0
- mapbox-variant version 1.2.0
- delete upstreamed Patches 1,12,14
- major version 3.1

* Wed Dec 22 2021 wally <wally> 3.0.23-13.mga9
+ Revision: 1763313
- rebuild for missing pkgs in armv7hl

* Sun Dec 19 2021 wally <wally> 3.0.23-12.mga9
+ Revision: 1762604
- rebuild for boost 1.78.0

* Sat Dec 11 2021 eatdirt <eatdirt> 3.0.23-11.mga9
+ Revision: 1761470
- Rebuild for new gdal

* Thu Sep 09 2021 wally <wally> 3.0.23-10.mga9
+ Revision: 1744668
- rebuild for boost 1.77.0

* Tue Aug 03 2021 luigiwalser <luigiwalser> 3.0.23-9.mga9
+ Revision: 1738946
- rebuild for icu

* Fri May 14 2021 wally <wally> 3.0.23-8.mga9
+ Revision: 1722991
- rebuild for boost 1.76.0

* Thu May 06 2021 daviddavid <daviddavid> 3.0.23-7.mga9
+ Revision: 1721865
- rebuild for new gdal 3.3.0

* Thu Mar 25 2021 daviddavid <daviddavid> 3.0.23-6.mga9
+ Revision: 1710149
- rebuild for new gdal 3.2.2

* Thu Dec 31 2020 wally <wally> 3.0.23-5.mga8
+ Revision: 1666787
- rebuild for boost 1.75.0
- build using our %%ldflags

* Wed Dec 30 2020 wally <wally> 3.0.23-4.mga8
+ Revision: 1665768
- backport upstream change to add C++14 support

* Sun Dec 20 2020 wally <wally> 3.0.23-3.mga8
+ Revision: 1662029
- rebuild for boost 1.74.0

* Mon Nov 30 2020 luigiwalser <luigiwalser> 3.0.23-2.mga8
+ Revision: 1651026
- add patch from fedora to fix build with SCons 4
- rebuild for icu

* Sat Jun 13 2020 joequant <joequant> 3.0.23-1.mga8
+ Revision: 1593110
- fix deps
- fix build
+ wally <wally>
- new version 3.0.23
- add libxml2 and freetype2 patches from Debian
- rebuild for boost 1.73.0

* Sat Apr 04 2020 wally <wally> 3.0.22-11.mga8
+ Revision: 1564479
- rebuild for new icu 66.1

* Fri Mar 20 2020 eatdirt <eatdirt> 3.0.22-10.mga8
+ Revision: 1558320
- Rebuild for new libproj

* Sun Mar 15 2020 daviddavid <daviddavid> 3.0.22-8.mga8
+ Revision: 1556523
- rebuild for new gdal 3.0.4

* Thu Feb 20 2020 umeabot <umeabot> 3.0.22-7.mga8
+ Revision: 1545147
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 wally <wally> 3.0.22-6.mga8
+ Revision: 1484107
- add upstream patch to fix build with boost >= 1.72.0
- remove python parts from description
- rebuild for boost 1.72.0

* Sun Oct 06 2019 daviddavid <daviddavid> 3.0.22-5.mga8
+ Revision: 1449927
- remove no longer available python bindings (removed upstream for a while)
- enable svg2png utils support
- make the Qt support conditional

* Sun Oct 06 2019 cjw <cjw> 3.0.22-4.mga8
+ Revision: 1449885
- rebuild for icu 65

* Thu Apr 25 2019 joequant <joequant> 3.0.22-3.mga7
+ Revision: 1395239
- rebuild to fix libraries

* Thu Mar 07 2019 eatdirt <eatdirt> 3.0.22-2.mga7
+ Revision: 1372239
- Rebuild for new proj

* Thu Mar 07 2019 eatdirt <eatdirt> 3.0.22-1.mga7
+ Revision: 1372178
- Upgrade to version 3.0.22 and anticipated fix for libproj 6.0

* Sun Feb 24 2019 wally <wally> 3.0.21-4.mga7
+ Revision: 1369870
- mapnik uses bundled and patched agg

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.0.21-3.mga7
+ Revision: 1346104
- rebuild for icu

* Wed Oct 17 2018 wally <wally> 3.0.21-2.mga7
+ Revision: 1321842
- add upstream patc hto fix build with boost >= 1.68
- rebuild for new boost 1.68.0

* Fri Oct 12 2018 tv <tv> 3.0.21-1.mga7
+ Revision: 1319930
- new release
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
+ daviddavid <daviddavid>
- rebuild for new icu

* Wed Apr 11 2018 kekepower <kekepower> 3.0.19-1.mga7
+ Revision: 1217560
- Update to version 3.0.19
- Fix BuildRequires

* Sat Mar 17 2018 daviddavid <daviddavid> 3.0.17-3.mga7
+ Revision: 1210050
- rebuild for new proj 5.0.0

* Sat Dec 30 2017 wally <wally> 3.0.17-2.mga7
+ Revision: 1187607
- fix lib pkg name

* Sat Dec 30 2017 wally <wally> 3.0.17-1.mga7
+ Revision: 1187571
- add mapbox variant 1.1.5 sources as they're missing from source tarball
- new version 3.0.17
- rebuild for new icu

* Mon Dec 25 2017 wally <wally> 3.0.15-4.mga7
+ Revision: 1184686
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 3.0.15-3.mga7
+ Revision: 1178092
- rebuild for boost 1.65

* Tue Oct 31 2017 eatdirt <eatdirt> 3.0.15-2.mga7
+ Revision: 1175129
- Rebuild for new libproj

* Wed Sep 13 2017 tv <tv> 3.0.15-1.mga7
+ Revision: 1153529
- new releases
+ cjw <cjw>
- rebuild for new libwebp

* Wed Mar 15 2017 mrambo3501 <mrambo3501> 3.0.10-4.mga6
+ Revision: 1092734
- Rebuild for icu-58.2

* Thu May 19 2016 eatdirt <eatdirt> 3.0.10-3.mga6
+ Revision: 1016888
- Rebuild for new libproj

* Sat May 14 2016 shlomif <shlomif> 3.0.10-2.mga6
+ Revision: 1015257
- Rebuild for the new UCI (new major)

* Sun Mar 06 2016 spuhler <spuhler> 3.0.10-1.mga6
+ Revision: 986704
- upgrade to vers 3.0.10

* Tue Dec 15 2015 spuhler <spuhler> 3.0.9-1.mga6
+ Revision: 910589
- added file   /usr/bin/mapnik-render
- removed missing file
- upgrade to vers. 3.0.9

* Wed Oct 21 2015 spuhler <spuhler> 3.0.6-1.mga6
+ Revision: 893216
- added "/" tp %%{_bindir}/mapnik-index  in files section
- fixed ExcludeArch:    %%ix86
- removed CXX=clang++
- build for x86-_64 only as 32 bit doesn't build
- added new file %%{_bindir}mapnik-index
- removed geojson.patch
  * fixed upstream
- upgrade to vers. 3.0.6
- bumped rel because 64bit has built
- use make instead of %%make -j1
- bumped rel because 64bit did build
- reduced %%make to 1 CPU to save memory on 32 bit
- added back files after finding them
-- added prefix to %%configure
   * it's not taking it from the macro
- commented out a couple more non-existent files
- commented out a couple more none-existent files
- commented out the none existing mapdef_stats.py
- use %%make instead of make to spped up the build.
- added %%{buildroot}in before /%%{_libdir} LIBDIR_SCHEMA=%%{buildroot}/%%{_libdir}
  * it's a try
- added DESTDIR=%%{buildroot}  to configure
  * otherwise it wants to install to /
- added option to configure
- changed patch0 from upstream
  * finds icu
- using make and %%make_install instead of scons and scons install
  * seems to use less RAM
- adding new geojson.patch from upstream
- added icu patch from upstream
- upgrade to vers. 3.0.5
- included our icu version in boost patch
- fixed fontdir in configure
- added boost-1.59.0 patch
- added export CPPFLAGS=-DBOOST_ERROR_CODE_HEADER_ONLY
- added BuildRequires: postgis
- made it multi-cpu build to speed up the build
- adde BuildRequires: pkgconfig (icu...
- added BuildRequires: pkgconfig(harfbuzz)
+ fwang <fwang>
- link stdc++
- link stdc++
- fix linking
+ pterjan <pterjan>
- Build with clang++ as g++ needs more than 4GB memory which fails on i586
+ barjac <barjac>
- new major 3
- change tests dir and script name
- BR libwebp
- dont try to install missing bin file
+ daviddavid <daviddavid>
- rebuild for new boost-1.58.0

* Fri Jul 24 2015 cjw <cjw> 2.2.0-11.mga6
+ Revision: 856804
- rebuild for icu 55

* Tue Nov 25 2014 cjw <cjw> 2.2.0-10.mga5
+ Revision: 798964
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.2.0-9.mga5
+ Revision: 748187
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2.0-8.mga5
+ Revision: 727110
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2.0-7.mga5
+ Revision: 682163
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 2.2.0-6.mga5
+ Revision: 628321
- Rebuild for new Python

* Sat Apr 05 2014 wally <wally> 2.2.0-5.mga5
+ Revision: 611884
- rebuild for new icu

* Sat Feb 08 2014 barjac <barjac> 2.2.0-4.mga5
+ Revision: 586735
- rebuild against boost-1.55

* Mon Oct 21 2013 umeabot <umeabot> 2.2.0-3.mga4
+ Revision: 537690
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 fwang <fwang> 2.2.0-2.mga4
+ Revision: 487454
- rebuild for icu 52

* Sat Aug 03 2013 fwang <fwang> 2.2.0-1.mga4
+ Revision: 462909
- update file list
- link with cairo
- add libs
- fix linkage of dl
- do not build demo prog
- drop unused command
- new version 2.2.0

* Mon Jul 08 2013 fwang <fwang> 2.1.0-8.mga4
+ Revision: 451284
- rebuild for new boost

* Sun Jun 02 2013 fwang <fwang> 2.1.0-7.mga4
+ Revision: 435461
- rebuild for new libpng

* Sun May 26 2013 fwang <fwang> 2.1.0-6.mga4
+ Revision: 428043
- rebuild for icu

* Thu Apr 11 2013 barjac <barjac> 2.1.0-5.mga3
+ Revision: 409500
- rebuild for boost-1.53

* Wed Mar 27 2013 barjac <barjac> 2.1.0-4.mga3
+ Revision: 405843
- fix build with boost-1.53

* Sat Jan 12 2013 umeabot <umeabot> 2.1.0-3.mga3
+ Revision: 359408
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 2.1.0-2.mga3
+ Revision: 332955
- rebuild for new boost

* Sat Nov 10 2012 fwang <fwang> 2.1.0-1.mga3
+ Revision: 316802
- correct link flags
- more linkage fix
- fix typo
- more linkage fix
- fix linkage
- update build switch
- update file list
- update file list
- drop old patch
- new version 2.1.0
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 2.0.1-4.mga3
+ Revision: 314776
- rebuild for new icu

* Wed Oct 03 2012 malo <malo> 2.0.1-3.mga3
+ Revision: 302538
- update RPM group

* Tue Jul 31 2012 fwang <fwang> 2.0.1-2.mga3
+ Revision: 276581
- use default boos-filesyste-version
- rebuild for new boost

* Wed Jun 06 2012 obgr_seneca <obgr_seneca> 2.0.1-1.mga3
+ Revision: 256219
- fixed file names
- fixed path to extracted source
- fixed doc files
- New version 2.0.1

* Wed May 30 2012 fwang <fwang> 2.0.0-3.mga3
+ Revision: 249633
- rebuild for new icu

* Sun Dec 25 2011 fwang <fwang> 2.0.0-2.mga2
+ Revision: 187468
- rebuild for new libtiff

* Sun Dec 11 2011 fwang <fwang> 2.0.0-1.mga2
+ Revision: 180567
- update file list
- update file list
- new version 2.0.0

* Mon Nov 28 2011 fwang <fwang> 0.7.1-10.mga2
+ Revision: 173470
- rebuild for new boost

* Sun Sep 18 2011 fwang <fwang> 0.7.1-9.mga2
+ Revision: 144950
- fix build with latest libpng15
- rebuild for new mapnik
- rebuild for new boost

* Wed Jun 22 2011 fwang <fwang> 0.7.1-7.mga2
+ Revision: 111884
- rebuild for new boost

* Mon Jun 20 2011 fwang <fwang> 0.7.1-6.mga2
+ Revision: 110337
- rebuild for new icu

* Wed May 04 2011 ennael <ennael> 0.7.1-5.mga1
+ Revision: 94769
- fix BR
- /bin/bash: q : commande introuvable
- imported package mapnik


* Mon Mar 14 2011 Funda Wang <fwang@mandriva.org> 0.7.1-5mdv2011.0
+ Revision: 644600
- force version 2 for filesystem
- rebuild for new icu

* Tue Nov 02 2010 Michael Scherer <misc@mandriva.org> 0.7.1-4mdv2011.0
+ Revision: 592416
- rebuild for python 2.7

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 0.7.1-3mdv2011.0
+ Revision: 572389
- rebuild for new boost

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.7.1-2mdv2011.0
+ Revision: 566007
- rebuild for new boost

* Mon Apr 26 2010 Emmanuel Andry <eandry@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 539350
- New version 0.7.1

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 0.7.0-4mdv2010.1
+ Revision: 526121
- rebuild for new icu

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 0.7.0-3mdv2010.1
+ Revision: 501882
- rebuild for new boost

* Wed Feb 03 2010 Funda Wang <fwang@mandriva.org> 0.7.0-2mdv2010.1
+ Revision: 500088
- rebuild for new boost

* Wed Jan 20 2010 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2010.1
+ Revision: 494015
- new version 0.7.0

* Thu Aug 20 2009 Emmanuel Andry <eandry@mandriva.org> 0.6.1-1mdv2010.0
+ Revision: 418585
- disable demo (breaks build)
- fix major
- use system fonts
- fix include path for demo viewer
- New version 0.6.1
- drop patches
- use mandriva library policy

* Thu Mar 12 2009 Emmanuel Andry <eandry@mandriva.org> 0.5.2-0.750.7mdv2009.1
+ Revision: 354290
- rebuild for new boost

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 0.5.2-0.750.6mdv2009.1
+ Revision: 335157
- rebuild

* Sat Jan 24 2009 Funda Wang <fwang@mandriva.org> 0.5.2-0.750.5mdv2009.1
+ Revision: 333279
- rebuild for new python

* Sun Dec 21 2008 Funda Wang <fwang@mandriva.org> 0.5.2-0.750.4mdv2009.1
+ Revision: 316865
- rebuild for new boost

* Fri Nov 07 2008 Olivier Blin <oblin@mandriva.com> 0.5.2-0.750.3mdv2009.1
+ Revision: 300461
- remove hardcoded requires in devel package

* Fri Nov 07 2008 Olivier Blin <oblin@mandriva.com> 0.5.2-0.750.2mdv2009.1
+ Revision: 300397
- fix font requires
- buildrequire python-devel
- fix groups
- fix build with freetype2
- initial Mandriva package (based on Fedora)
- create mapnik

